# Uses of Class
org.apache.sysds.resource.CloudInstance

Packages that use CloudInstance
Package
Description
org.apache.sysds.resource
org.apache.sysds.resource.cost
org.apache.sysds.resource.enumeration

## Uses of CloudInstance in org.apache.sysds.resource

Methods in org.apache.sysds.resource that return types with arguments of type CloudInstance
Modifier and Type
Method
Description
`static HashMap<String,CloudInstance>`
CloudUtils.`loadInstanceInfoTable(String instanceTablePath, double emrFeeRatio, double ebsStoragePrice)`
Performs read of csv file filled with VM instance characteristics.
Methods in org.apache.sysds.resource with parameters of type CloudInstance
Modifier and Type
Method
Description
`static void`
CloudUtils.`generateEC2ConfigJson(CloudInstance instance, String filePath)`
Generates json file storing the instance type and relevant characteristics for single node executions.

## Uses of CloudInstance in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type CloudInstance
Modifier and Type
Method
Description
`static double`
CostEstimator.`estimateExecutionTime(Program program, CloudInstance driverNode, CloudInstance executorNode)`
Entry point for estimating the execution time of a program.
Constructors in org.apache.sysds.resource.cost with parameters of type CloudInstance
Modifier
Constructor
Description
``
`CostEstimator(Program program, CloudInstance driverNode, CloudInstance executorNode)`
``
`IOMetrics(CloudInstance instance)`

## Uses of CloudInstance in org.apache.sysds.resource.enumeration

Fields in org.apache.sysds.resource.enumeration declared as CloudInstance
Modifier and Type
Field
Description
`CloudInstance`
EnumerationUtils.ConfigurationPoint.`driverInstance`
`CloudInstance`
EnumerationUtils.ConfigurationPoint.`executorInstance`
Methods in org.apache.sysds.resource.enumeration that return types with arguments of type CloudInstance
Modifier and Type
Method
Description
`HashMap<String,CloudInstance>`
Enumerator.`getInstances()`
Meant to be used for testing purposes
Method parameters in org.apache.sysds.resource.enumeration with type arguments of type CloudInstance
Modifier and Type
Method
Description
`void`
EnumerationUtils.InstanceSearchSpace.`initSpace(HashMap<String,CloudInstance> instances)`
`Enumerator.Builder`
Enumerator.Builder.`withAvailableInstances(HashMap<String,CloudInstance> instances)`
Constructors in org.apache.sysds.resource.enumeration with parameters of type CloudInstance
Modifier
Constructor
Description
``
`ConfigurationPoint(CloudInstance driverInstance)`
``
`ConfigurationPoint(CloudInstance driverInstance, CloudInstance executorInstance, int numberExecutors)`